import network
import time

SSID = "YourSSID"  # Replace "YourSSID" with your Wi-Fi network name
PASSWORD = "YourPassword"  # Replace "YourPassword" with your Wi-Fi password

def connect_to_wifi():
    wlan = network.WLAN(network.STA_IF)  # Set up Wi-Fi in "client" mode
    wlan.active(True)  # Turn on Wi-Fi
    wlan.connect(SSID, PASSWORD)  # Try to connect to your Wi-Fi network

    while not wlan.isconnected():  # Keep trying until it connects
        print("Connecting to Wi-Fi...")
        time.sleep(1)  # Wait 1 second before trying again

    print("Connected to Wi-Fi")
    print("IP Address:", wlan.ifconfig()[0])  # Print the Pico W's IP address
    return wlan

# Call the function to connect to Wi-Fi
connect_to_wifi()